Theme
Create Video
POST
https://www.kkiai.com/v1/video/create
Request Parameters
Authorization
Add the Authorization parameter to the Header. Its value is the Token concatenated after Bearer.
Example: Authorization: Bearer ********************
Header Parameters
| Parameter Name | Type | Required | Description | Example |
|---|---|---|---|---|
Content-Type | string | Required | application/json | |
Accept | string | Required | application/json | |
Authorization | string | Optional | Bearer {{YOUR_API_KEY}} |
Body Parameters (application/json)
| Parameter Name | Type | Required | Description |
|---|---|---|---|
model | string | Required | Model name grok-video-3 |
prompt | string | Required | |
aspect_ratio | string | Required | Options: 2:3, 3:2, 1:1 |
size | string | Required | 720P or 1080P. Currently only supports 720P |
images | array[string] | Required | Base image URLs. Video dimensions follow the image dimensions. |
Request Example
json
{
"model": "grok-video-3",
"prompt": "A kitten is eating a fish. --mode=custom",
"aspect_ratio": "3:2",
"size": "720P",
"images": ["https://ark-project.tos-cn-beijing.volces.com/doc_image/seedream4_5_imageToimage.png"]
}cURL Example
bash
curl --location --request POST 'https://www.kkiai.com/v1/video/create' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"model": "grok-video-3",
"prompt": "A kitten is eating a fish. --mode=custom",
"aspect_ratio": "3:2",
"size": "720P",
"images": ["https://ark-project.tos-cn-beijing.volces.com/doc_image/seedream4_5_imageToimage.png"]
}'Response
🟢 200 Success
Response Body
| Parameter Name | Type | Required | Description |
|---|---|---|---|
id | string | Required | |
status | string | Required | |
status_update_time | integer | Required |
Response Example
json
{
"id": "veo3.1-components:1762241017-xTL0P9HvGF",
"status": "pending",
"status_update_time": 1762241017286
}